> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pnbr.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List shapes

> List the project's published Shapes.

**Operation ID:** `http.shapes.list`

```http theme={null}
GET /v1/orgs/{org}/projects/{project}/shapes
```


## OpenAPI

````yaml openapi.json GET /v1/orgs/{org}/projects/{project}/shapes
openapi: 3.1.0
info:
  title: Penumbra API
  version: v1
  description: >-
    HTTP reference for Files, search, extraction, reviews, Graph, Shapes and
    sharing.
servers:
  - url: https://api.pnbr.io
    description: Penumbra API
security: []
paths:
  /v1/orgs/{org}/projects/{project}/shapes:
    get:
      tags:
        - Shapes
      summary: List shapes
      description: |-
        List the project's published Shapes.

        Product guidance: [Shape](/concepts/shape).
      operationId: http.shapes.list
      parameters:
        - name: org
          in: path
          required: true
          schema:
            type: string
        - name: project
          in: path
          required: true
          schema:
            type: string
        - name: cursor
          in: query
          required: false
          description: The cursor the previous page returned.
          schema:
            type: string
            minLength: 1
            maxLength: 4096
        - name: limit
          in: query
          required: false
          description: Page size, 1 to 100. Defaults to 50.
          schema:
            type: string
      responses:
        2XX:
          description: Success.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/http_shapes_list_response'
      security:
        - bearerAuth: []
components:
  schemas:
    http_shapes_list_response:
      type: object
      properties:
        data:
          type: array
          items:
            type: object
            properties:
              shape_id:
                type: string
              revision_id:
                type: string
              artifact_digest:
                type: string
              generation:
                type: integer
                minimum: -9007199254740991
                maximum: 9007199254740991
              name:
                anyOf:
                  - type: string
                  - type: 'null'
              display_name:
                anyOf:
                  - type: string
                  - type: 'null'
              description:
                anyOf:
                  - type: string
                  - type: 'null'
              type_count:
                type: integer
                minimum: -9007199254740991
                maximum: 9007199254740991
              updated_at:
                type: string
            required:
              - shape_id
              - revision_id
              - artifact_digest
              - generation
              - name
              - display_name
              - description
              - type_count
              - updated_at
            additionalProperties: {}
        page:
          type: object
          properties:
            next_cursor:
              anyOf:
                - type: string
                - type: 'null'
          required:
            - next_cursor
          additionalProperties: false
      required:
        - data
        - page
      additionalProperties: false
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.